print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceCompost = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local priceBierkisten = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local priceBierfass = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local priceEmptyPallets = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	local pricehops = g_fillTypeManager:getFillTypeByName("AIR").pricePerLiter
	
	
	if node ~= 0 then
	
	local compostHudFile = "hud/hud_fill_compost.dds"
	local compostHudFileSmall = "hud/hud_fill_compost_sml.dds"
	local bierkistenHudFile = "hud/hud_fill_bierkisten.png"
    local bierkistenHudFileSmall = "hud/hud_fill_bierkisten_sml.png"
	local bierfassHudFile = "hud/hud_fill_bierfass.png"
    local bierfassHudFileSmall = "hud/hud_fill_bierfass_sml.png"
	local emptyPalletsHudFile = "hud/hud_fill_emptypallets.png"
    local emptyPalletsHudFileSmall = "hud/hud_fill_emptypallets_sml.png"
	local hopsHudFile = "hud/hud_fill_hops.png"
    local hopsHudFileSmall = "hud/hud_fill_hops_sml.png"
	

	local compost = g_fillTypeManager:addFillType("COMPOST", g_i18n:getText("compost"), true, priceCompost * 1.5, 0.00045, math.rad(40), compostHudFile, compostHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	local bierkisten = g_fillTypeManager:addFillType("BIERKISTEN", g_i18n:getText("bierkisten"), true, priceBierkisten * 6.0, 0.00045, math.rad(40), bierkistenHudFile, bierkistenHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    local bierfass = g_fillTypeManager:addFillType("BIERFASS", g_i18n:getText("bierfass"), true, priceBierfass * 6.0, 0.00045, math.rad(40), bierfassHudFile, bierfassHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    local emptyPallets = g_fillTypeManager:addFillType("EMPTYPALLETS", g_i18n:getText("emptyPallets"), true, priceEmptyPallets * 10.0, 0.00045, math.rad(40), emptyPalletsHudFile, emptyPalletsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    local hops = g_fillTypeManager:addFillType("HOPS", g_i18n:getText("hops"), true, pricehops * 0.0, 0.00000, math.rad(40), hopsHudFile, hopsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	 

	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local haswoodChips =false
	local hasmaize =false
	local hascompost=false	
	local hasbierkisten=false
	local hasbierfass=false
	local hasemptypallets=false
	local hashops=false	
	local hasair =false
	
	
	local object=id
	if object == nil then
	else
	haswoodChips =false
	hasmaize =false
	hascompost=false
	hasbierkisten=false
	hasbierfass=false
	hasemptypallets=false
	hashops=false
	hasair =false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
	    
		if fillname == "WOODCHIPS" then
		haswoodChips=true
	end;
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "COMPOST" then
		hascompost=true
	end;
		if fillname == "BIERKISTEN" then
		hasbierkisten=true
	end;
	    if fillname == "BIERFASS" then
		hasbierfass=true
	end;
	    if fillname == "EMPTYPALLETS" then
		hasemptypallets=true
	end;
	   if fillname == "HOPS" then
		hashops=true
	end;
	   if fillname == "AIR" then
		hasair=true
	end;
	  
end;

		if hasmaize and not hascompost then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("COMPOST")
		local price = g_fillTypeManager:getFillTypeByName("COMPOST").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COMPOST")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if hasmaize and not hasbierkisten then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BIERKISTEN")
		local price = g_fillTypeManager:getFillTypeByName("BIERKISTEN").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BIERKISTEN")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if hasmaize and not hasbierfass then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BIERFASS")
		local price = g_fillTypeManager:getFillTypeByName("BIERFASS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BIERFASS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if haswoodChips and not hasemptypallets then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLETS")
		local price = g_fillTypeManager:getFillTypeByName("EMPTYPALLETS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLETS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
		if hasair and not hashops then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("HOPS")
		local price = g_fillTypeManager:getFillTypeByName("Hops").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("HOPS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("AIR")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)